Package com.google.android.exoplayer2.util

## Class UriUtil

- java.lang.Object
- - com.google.android.exoplayer2.util.UriUtil

-     public final class UriUtil
      extends Object

  Utility methods for manipulating URIs.

- - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static boolean` | `isAbsolute​(String uri)` | Returns true if the URI is starting with a scheme component, false otherwise.
    `static Uri` | `removeQueryParameter​(Uri uri, String queryParameterName)` | Removes query parameter from a URI, if present.
    `static String` | `resolve​(String baseUri, String referenceUri)` | Performs relative resolution of a `referenceUri` with respect to a `baseUri`.
    `static Uri` | `resolveToUri​(String baseUri, String referenceUri)` | Like `resolve(String, String)`, but returns a `Uri` instead of a `String`.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### resolveToUri

          public static Uri resolveToUri​(@Nullable
                                         String baseUri,
                                         @Nullable
                                         String referenceUri)

      Like `resolve(String, String)`, but returns a `Uri` instead of a `String`.
      Parameters:
        `baseUri` - The base URI.
        `referenceUri` - The reference URI to resolve.

    - #### resolve

          public static String resolve​(@Nullable
                                       String baseUri,
                                       @Nullable
                                       String referenceUri)

      Performs relative resolution of a `referenceUri` with respect to a `baseUri`.

      The resolution is performed as specified by RFC-3986.

      Parameters:
        `baseUri` - The base URI.
        `referenceUri` - The reference URI to resolve.

    - #### isAbsolute

          public static boolean isAbsolute​(@Nullable
                                           String uri)

      Returns true if the URI is starting with a scheme component, false otherwise.

    - #### removeQueryParameter

          public static Uri removeQueryParameter​(Uri uri,
                                                 String queryParameterName)

      Removes query parameter from a URI, if present.
      Parameters:
        `uri` - The URI.
        `queryParameterName` - The name of the query parameter.
      Returns:
        The URI without the query parameter.